package com.imdroid.beidou_fwd.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * 北斗长结算滤波的数据
 *
 * @author LiGang
 * @date 2023/6/24 19:26
 */
public class DefoData {

    private String StationID;

    private String time;

    private Integer SenserNum;

    private List<Data> Data;

    public DefoData(String stationID, String time, Integer senserNum) {
        this.StationID = stationID;
        this.time = time;
        this.SenserNum = senserNum;
        this.Data = new ArrayList<>(senserNum);
    }

    public static class Data {
        private String SenserID;

        private String Type;

        private String d_north;

        private String d_east;

        private String d_h;

        public Data(String senserID, String type, String d_north, String d_east, String d_h) {
            SenserID = senserID;
            Type = type;
            this.d_north = d_north;
            this.d_east = d_east;
            this.d_h = d_h;
        }

        public Data(String senserID, String d_north, String d_east, String d_h) {
            SenserID = senserID;
            Type = "GNSS";
            this.d_north = d_north;
            this.d_east = d_east;
            this.d_h = d_h;
        }

        public String getSenserID() {
            return SenserID;
        }

        public void setSenserID(String senserID) {
            SenserID = senserID;
        }

        public String getType() {
            return Type;
        }

        public void setType(String type) {
            Type = type;
        }

        public String getD_north() {
            return d_north;
        }

        public void setD_north(String d_north) {
            this.d_north = d_north;
        }

        public String getD_east() {
            return d_east;
        }

        public void setD_east(String d_east) {
            this.d_east = d_east;
        }

        public String getD_h() {
            return d_h;
        }

        public void setD_h(String d_h) {
            this.d_h = d_h;
        }
    }

    public String getStationID() {
        return StationID;
    }

    public void setStationID(String stationID) {
        StationID = stationID;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public Integer getSenserNum() {
        return SenserNum;
    }

    public void setSenserNum(Integer senserNum) {
        SenserNum = senserNum;
    }

    public List<DefoData.Data> getData() {
        return Data;
    }

    public void setData(List<DefoData.Data> data) {
        Data = data;
    }
}
